Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbox2d.dynamics.joints
Enum LimitState

    java.lang.Object
      java.lang.Enum<LimitState>
          org.jbox2d.dynamics.joints.LimitState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LimitState>

    public enum LimitState

extends java.lang.Enum<LimitState>

Enum Constant Summary
`AT_LOWER_LIMIT`
`AT_UPPER_LIMIT`
`EQUAL_LIMITS`
`INACTIVE_LIMIT`

Method Summary
`static LimitState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LimitState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INACTIVE_LIMIT

    public static final LimitState INACTIVE_LIMIT

### AT_LOWER_LIMIT

    public static final LimitState AT_LOWER_LIMIT

### AT_UPPER_LIMIT

    public static final LimitState AT_UPPER_LIMIT

### EQUAL_LIMITS

    public static final LimitState EQUAL_LIMITS

Method Detail

### values

    public static final LimitState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LimitState c : LimitState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LimitState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD